OGRE: Ogre::v1::GLES2HardwareIndexBuffer Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::v1::GLES2HardwareIndexBuffer Class Reference

`#include <OgreGLES2HardwareIndexBuffer.h>`

Inheritance diagram for Ogre::v1::GLES2HardwareIndexBuffer:
[legend]

## Public Member Functions
| GLES2HardwareIndexBuffer (HardwareBufferManagerBase *mgr, IndexType idxType, size_t numIndexes, HardwareBuffer::Usage usage, bool useShadowBuffer)
virtual | ~GLES2HardwareIndexBuffer ()
void | _updateFromShadow (void)
| See HardwareBuffer. More...
void | copyData (HardwareBuffer &srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)
| See HardwareBuffer. More...
GLuint | getGLBufferId (void) const
void | readData (size_t offset, size_t length, void *pDest)
| See HardwareBuffer. More...
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)
| See HardwareBuffer. More...

## Constructor & Destructor Documentation

## ◆ GLES2HardwareIndexBuffer()

Ogre::v1::GLES2HardwareIndexBuffer::GLES2HardwareIndexBuffer | ( | HardwareBufferManagerBase * | mgr,
|  | IndexType | idxType,
|  | size_t | numIndexes,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer
| ) |  |

## ◆ ~GLES2HardwareIndexBuffer()

virtual Ogre::v1::GLES2HardwareIndexBuffer::~GLES2HardwareIndexBuffer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _updateFromShadow()

void Ogre::v1::GLES2HardwareIndexBuffer::_updateFromShadow | ( | void |  | ) |

See HardwareBuffer.

## ◆ copyData()

void Ogre::v1::GLES2HardwareIndexBuffer::copyData | ( | HardwareBuffer & | srcBuffer,
|  | size_t | srcOffset,
|  | size_t | dstOffset,
|  | size_t | length,
|  | bool | discardWholeBuffer = `false`
| ) |  |

See HardwareBuffer.

## ◆ getGLBufferId()

GLuint Ogre::v1::GLES2HardwareIndexBuffer::getGLBufferId | ( | void |  | ) | const
| inline

## ◆ readData()

void Ogre::v1::GLES2HardwareIndexBuffer::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest
| ) |  |

See HardwareBuffer.

## ◆ writeData()

void Ogre::v1::GLES2HardwareIndexBuffer::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer = `false`
| ) |  |

See HardwareBuffer.

The documentation for this class was generated from the following file:

- OgreGLES2HardwareIndexBuffer.h